Package org.eclipse.ecf.filetransfer

# Class BrowseFileTransferException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.filetransfer.BrowseFileTransferException

All Implemented Interfaces:
  `Serializable`

public class BrowseFileTransferException extends ECFException
Exception thrown upon browse problem

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BrowseFileTransferException()`
`BrowseFileTransferException(int errorCode)`
`BrowseFileTransferException(String message)`
`BrowseFileTransferException(String message, int errorCode)`
`BrowseFileTransferException(String message, Throwable cause)`
`BrowseFileTransferException(String message, Throwable cause, int errorCode)`
`BrowseFileTransferException(Throwable cause)`
`BrowseFileTransferException(Throwable cause, int errorCode)`
`BrowseFileTransferException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BrowseFileTransferException

public BrowseFileTransferException(org.eclipse.core.runtime.IStatus status)

### BrowseFileTransferException

public BrowseFileTransferException()

### BrowseFileTransferException

public BrowseFileTransferException(int errorCode)

### BrowseFileTransferException

public BrowseFileTransferException(String message)

### BrowseFileTransferException

public BrowseFileTransferException(String message, int errorCode)

### BrowseFileTransferException

public BrowseFileTransferException(Throwable cause)

### BrowseFileTransferException

public BrowseFileTransferException(Throwable cause, int errorCode)

### BrowseFileTransferException

public BrowseFileTransferException(String message, Throwable cause)

### BrowseFileTransferException

public BrowseFileTransferException(String message, Throwable cause, int errorCode)

## Method Details

### getErrorCode

public int getErrorCode()